Error upgrading phpBB 2.0.14 to 2.0.15

Wondering why that MOD you have won't install correctly? Let's take a look
Forum rules
DO NOT give out any FTP passwords to anyone! There is no reason to do so! If you need help badly enough, create a temporary FTP account that is restricted to only the files that you need help with and give the information for that. Giving out FTP information can be very dangerous!
Locked
Jen214
Registered User
Posts: 1
Joined: Wed Jul 06, 2005 7:47 pm

Error upgrading phpBB 2.0.14 to 2.0.15

Post by Jen214 »

Hi, I need some help. I hope this post isn't going to be too long winded. Wink

In trying to upgrade via the mod method I get this error:
FIND FAILED: In file [includes/usercp_register.php] could not find:

if (strtolower($username) != strtolower($userdata['username']))

MOD script line #524 :: FAQ :: Report


But... I think I know why... I installed phpBB 2.0.13 in my new hosting space a few weeks ago because that's what they provided and I didn't know any better that there might be a newer version. Since then I've gone in and made various mild modifications by hand. One day my modifications by hand killed the board. Of course I was an idiot and hadn't backed up the php file I was altering, so I downloaded a new one to ressurect the darn thing. Of course the new file was from the 2.0.16 release and it didn't seem to give me any problems. Since then, we've run into problems and I believe its from not having the same version for all the files, so I decided to upgrade.

Basically it seems to me that while the 13 to 14 upgrade went smoothly, my problem now is that I still have the newer usercp_register.php file. What do you suggest I do? It would seem logical to get the usercp_register.php from version 14 up there and then once I'm done upgrading I'll go back through and change the values I need to change (for instance, where a user who does not agree to my terms is sent) So if I need to grab the files from version 14 before I can continue on, where can I find them?

Thanks in advance,
Jen
ChALkeR
Registered User
Posts: 176
Joined: Tue Mar 15, 2005 4:38 pm
Location: Russia

Re: Error upgrading phpBB 2.0.14 to 2.0.15

Post by ChALkeR »

try to find it there manually (notepad+find), or something that looks like it
(Try to find

Code: Select all

strtolower($userdata['username']))
and see if the row looks some thing like

Code: Select all

if (strtolower($username) != strtolower($userdata['username']))
),
then change in your MOD

Code: Select all

if (strtolower($username) != strtolower($userdata['username']))
to the row you have found.

Try to run the mod again.
Image
Sorry for my bad English....
Locked